Subject: Re: MPC8349ea Random Device Generator driver

From: [email-masked] (Olof Johansson)
Date: Thu, 7 Jun 2007 10:36:50 -0500

On Thu, Jun 07, 2007 at 10:20:19AM -0500, Timur Tabi wrote:

> Ok, I understand that, too.  I just don't understand absolutist statements like "you can 
> never assign a __le16 type to any other integer type" when our code is full of example of 
> doing just that.

Because you're doing it wrong, and your code is broken. Try running
it through sparse and watch the spew. I get 68 sparse warnings on
arch/powerpc/sysdev/*

You have some work to do!

-Olof